
Release history:

You can find the english release history below after the german history.

Version 4.2.0.0:
================

1. Manche Programmeerzeugen falsche BPM Werte im ID3 Tag die dann von
   BPM-Studio falsch interpretiert wurden. Nun werden die Werte immer korrekt
   interpretiert.

2. M3U Playlisten von WinAmp wurden teilweise nicht korrekt geladen wenn
   relative Pfadangaben verwendet wurden.

3. Das Loop Problem auf einigen Soundkarten mit DirectX 8 wurde behoben

4. Unter Win2K/XP gab es im AutoFade Modus manchmal eine Schutzverletzung

5. Die Archiv-Update Funktion listete alle Titel als neu auf bei denen sich der
   Pfad geändert hatte.

6. Die Knöpfe +Dir,+File wurden nich aktualisiert wenn sich in den Optionen der
   Datenpfade geändert hatte und eine Aktualisierung nötig gewesen wäre.

7. Der Netwerkdongle wurde auf Grund eines Fehlers in der Marx Bibliothek
   nicht mehr richtig erkannt.

8. Kleiner Bug beim Schreiben der ID3v1 Tags behoben

9. Bug im ID3 Parser behoben, führte dazu das daß Archiv nicht mehr vollständig
   geladen werden konnte.

10.Kernel Treiber fixes für neuen Win9x Treiber der Delta Karten

11.Kernel Treiber für W2K/XP, derzeit nur für Karten welche diese Möglichkeit
   bieten, auf diesen aber dann mit bis zu 2ms Latenz !!! (GigaStation)

12.Kernel Treiber support für WDM Audio Treiber unter Win9x (GS) (WAMI Box)

13.DirectSound support für Multichannel Interleaved WDM Treiber (EMI 2|6)

14.Performance Optimierung für USB Audio Devices die nun optimal und mit
   geringster Latenz mit BPM-Studio funktionieren.

15.Drastische Performance Optimierungen für Win2K/XP

16.Einige selten auftetende Schutzverletzungen behoben (Win2K/XP)

17.Manchmal (sehr selten) gab es am Anfang eines Titels einen Hopser wenn
   nach Auto-Cue der Positions Slider während dem Abspielen auf 0 bewegt wurde.

18.Wenn im File-Editor eine Start Position gesetzt war funktionierte das
   setzen von "On the fly" Cue Punkten nicht richtig.

19.Die Cue-Punkte von alten Versionen (< 4.x) die im Editor gesetzt wurden,
   werden nun beim Laden eines Titels importiert.

20.Direkte Unterstützung für die FTDI USB -> Serial Konverter die in kürze direkt
   von ALCATech angeboten werden. Mit diesen Adaptern können die Bedienteile
   optimal auch über USB betrieben werden.

21.Unterstützung für USB Dongles, diese sind gegen Aufpreis bei ALCATech erhältlich.

NOTE: Mit dieser Version und Dank fortgeschrittener Hardware Entwicklung ist es
      endlich möglich BPM-Studio kompromisslos auch auf Notebooks einzusetzen:

        - USB Audio in verschiedensten Ausführungen
        - USB Dongles
        - USB Serial Adapter zum Anschluss des Bedienteils an Notebooks ohne
          COM Port


Version 4.1.0.0:
================

1. Kernel Treiber angepasst an Marc-2,Marc-4 und Hammerfall DSP System

2. Bug in Brake Funktion gefixt, (Wechsel zwischen Brake und Pause in Software)

3. Bug in Demo Version gefixt, während Auto-Play und wenn Evalution Meldung kam

4. W2K Bug in Audio Engine gefixt, Aussetzer bei schnellem drücken der CUP Taste

5. Bug in AudioEngine gefixt, manchmal hing BPM wenn in SeekMode geschaltet wurde (SetPosition)

6. BPM-Match Funktion für Slider Version geändert, siehe geändertes Handbuch

7. Kernel Treiber neu compiliert, durch Verwendung eines neuen Compilers wurde
   falscher code compiliert der auf einigen Soundkarten zu einem Crash führte.

8. Beim Rippen des letzten Frames einiger CD's konnte es zu einem Fehler kommen.
   Kleiner Bug beim Update des Title Scrollings im AutoPlay behoben

9. Option "Warn Before Remove Files" wurde nicht abgespeichert

10.Wurden in BPM-Studio Benutzer angelegt oder das Datei-Archiv auf einen
   selbst definierten Ordner gelegt wurde das PlayListen-Archiv unter Umständen
   nicht abgespeichert.

11.Im CD-Writer konnte nichts vom Clipboard eingefügt werden

12.Wurden sehr viele Dateien in ein CD-Writer Daten Projekt eingefügt wurde
   teilweise eine negative Datengröße angezeigt und der Balken falsch berechnet

13.Im Extra Info Dialog für komplett gerippte CD's gab es eine Schutzverletzung
   wenn der Dialog 2x hintereinander geöffnet wurde.

14.bei Sortierung nach BPM wurde falsch sortiert, zuerst wurden Werte über 100,
   danach Werte unter 100 (zb. 99) gelistet

15.Durch Rundungsfehler zeigte der Echtzeit BPM-Counter insbesondere bei Titeln
   welche zwichen 99.9 und 100 BPM pendelten manchmal die hunderter Stelle
   nicht richtig an, sondern nur _00.x

16.Wurden Benutzer angelegt welche das Archiv des Administrators benutzen
   so war es möglich das sich Administrator und Benutzer gegenseitig die
   Cue-Punkte überschrieben. Nun hat jeder Benutzer sein eigenes Cue-Verzeichnis,
   wobei in den Optionen einstellbar ist ob die Cue's des Administrators geladen
   werden sollen wenn der Benutzer für einen Titel keine Cue's angelegt hat.
   Werden diese Cue's geändert oder neue angelegt so werden diese aber immer
   im Cue-Verzeichnis des Benutzers gespeichert.

17.Manchmal funktionierte das FadeIn nicht richtig (in AutoPlay oder über Fade
   Button) und der Titel startete sofort mit voller Lautstärke.

18.BPM-Studio Clean Start funktionierte leider nicht mehr...

19.Mono Dateien wurden nicht mehr geladen und gespielt (durch Bug in AGC)

20.Nach anlegen von Benutzern mit eigenem Datei Archiv konnten unter diesem
   Benutzer nicht gerippt oder encodet werden da das Verzeichnis nicht erstellt
   wurde.

21.Wird im Recorder in MP3 aufgenommen so wird nun immer das in den Optionen
   eingestellte Format verwendet.

22.Beim Ice/Shoutcast Streaming wird nun auch bei doppelter Playliste die
   MetaInfos übertragen, früher erfolgte dies nur bei Waitlist.

23.Wird beim Rippen das Genre Feld leer gelassen so wird nun nicht mehr "Other"
   eingetragen.

24.Im Modus "Sortiertes Archiv" bleibt der Sort Knopf nun gedrückt um den
   sortierten Modus besser kenntlich zu machen

25.Das Verzeichnis für Playlisten ist im Normafall immer das Data Verzeichnis
   unter der BPM-Studio Installation da es auch bei mehreren Beutzern privat
   sein muss, jeder Benutzer hat seine eigenen Playlsiten. Über den folgenden
   Eintrag in der Registry lässt sich dieses Verzeichnis in besonderen Fällen
   beliebig festlegen:

      HKEY_CURRENT_USER\Software\AlcaTech\BPM Profi\General\PlayListPath

26.BPM-Studio legt nun bei jedem Programm Start automatisch ein Backup des
   Daten- und Playlisten Archives an, diese Funktion lässt sich in den Optionen
   abschalten. Das Backup wird im Datenverzeichnis, "\Backup\Datum+Uhrzeit" abgelegt
   und lässt sich jederzeit von da über die Backup Funktion laden, zb. wenn in sehr
   seltenen Fällen einmal das Archiv verschwunden sein sollte. Um die Festplatte
   nicht sinnlos zu füllen werden immer nur die 10 neusten Backups aufgehoben,
   alle älteren werden automatisch gelöscht.

27.Durch einen kleinen Bug bei der "Stille am Ende" Erkennung während der
   Normalisierung wurden manche Titel immer wieder neu normalisiert.

28.Beim Erstellen der Liste "Gespielte Lieder" wird nun das Datum vom
   Programmstart genommen, ansonsten werden für einen Abend der bis nach
   24:00 Uhr geht zwei Listen angelegt da ja auch das Datum wechselt. Dadurch
   war es schwer einen Abend komplett nachzuvollziehen

29.Die maximale Größe der Daten die in den Sampler geladen werden kann wird nun
   abhängig vom Arbeitsspeicher dynamisch ermittelt:

    ab  64  MB  : 30 sec
    ab 128  MB  : 40 sec
    ab 256  MB  : 60 sec
    ab 512  MB  : 120 sec
    ab 1024 MB  : 240 sec

30.Beim editieren der File Info's mehrerer Titel unter W2K wurde nur der erste
   Titel geändert.

31.Die Pegelanzeige im linken Display der alten Bedienteile funktionierte nicht

32.Die Entprellzeit der Tasten der neuen Bedienteile wurde erhöht,
   leider kam es insbesondere bei der Play/Pause und den Cue Tasten ab und zu
   durch prellen zu Fehlfunktionen

Version 4.0.0.0:
================

1. Da die Popup Menüs durch mehr Funktionen immer länger wurden, werden nun
   selten genutzte Einträge im Stil von WinME oder Office 2000 versteckt.
   Die versteckten Einträge lassen sich jederzeit sichtbar machen indem die
   kleinen Pfeile ganz unten im Menü angeklickt werden. Das Verstecken der
   Menüs lässt sich auch per Option ganz abschalten, dann bleibt alles wie
   gehabt.

2. Die Standard Gruppen wie "SEARCH RESULTS", "NEW FILES" usw. werden nun
   immer der ausgewählten Sprache angezeigt, bei Änderung der Sprache werden
   die Namen dieser Standard Gruppen entsprechend umbenannt.

3. Druck Funktionen, jawohl ! ;-) Es können sowohl die Playlisten, als auch
   einzelne Gruppen im Datei Archiv gedruckt werden. Auch Gruppen inklusive
   Untergruppen lassen sich drucken, oder aber das gesamte Archiv. Die
   Druckfunktionen lassen sich mittels umfangreicher Einstellungen und
   Sortiermöglichkeiten an nahezu alle Bedürfnisse anpassen, eine WYSIWYG
   Druckvorschau gibt es natürlich auch.

4. Die Spalten im File Archiv und den Playlisten lassen sich nun frei festlegen
   und in der Größe ändern. Durch Doppklick auf eine Spalte im Header des Datei
   Archives läst sich das Archiv nach dieser Spalte sortieren. Damit können die
   Spalten an alle Bedürfnisse angepasst werden.

5. BPM Studio wurde um ein leistungsfähiges Playlisten Managment erweitert.
   In der Playlist Ansicht lassen sich komplete Playlisten anlegen und in
   verschiedenen Gruppen sortieren. Weiterhin wird in der Playlist Ansicht
   eine Liste der gespielten Lieder geführt so das jederzeit auf einen
   Blick zu erkennen ist welche Titel man an einem bestimmten Tag gespielt hat.
   Die Playlisten lassen sich natürlich wieder einfach in die Playlisten der
   Player laden, drucken, sortieren usw. Durch drucken der Liste mit den
   gespielten Lieder lassen sich nun GEMA Listen erstellen.

6. War eine Suche im Archiv erfolglos so wird nun sofort der Suchdialog erneut
   anzeigen um eine korrigierte Eingabe bzw. erneute Suche einfacher zu machen.
   Der Dialog läßt sich natürlich ganz einfach mit ESC abbrechen.

7. Die Visualisierungs Optionen lassen sich nun für jeden Player einzeln einstellen,
   zb. linker Player Spectrum Analyzer, rechter Player Cue Punkte.

8. Bis zu 6 Cue Punkte können nun direkt in den Playern abgespeichert werden.
   Zum umschalten in den Cue Punkt Modus, rechte Maustaste im Display und dann
   auf Cue Memory. Natürlich sind alle Cue Punkte mit Instant Cue ausgestattet
   und lassen sich in unter 6 ms abrufen, dadurch lassen sich sehr interessante
   Sampling Effekte realisieren. Um die Cue Punkte abzuspeichern wird für jedes
   File für das Cue Punkte angelegt wurden ein File mit der Endung .cue angelegt
   das die Cue Punkte enthält. Zusätzlich lassen sich auch komplette Loops auf
   den Cue Tasten ablegen was die Sampling Möglichkeiten nochmals erweitert.

9. "Automatik Gain Control" um die Lautstärke automatisch zu regeln.
   Weitere Erläuterungen im Handbuch.

10.Im Ripper kann nun eine komplette CD als einzelner Track kopiert werden.
   Dies ist sinvoll für CD's ohne Pausen zwischen den Tracks (Mixe usw.)
   Die einzelnen Tracks und Positionen werden dabei gespeichert und wird ein
   solcher Mix später in den Player geladen können die einzelnen Titel
   angesteuert werden indem die Track Tasten mit der rechten Maustaste
   gedrückt werden, die linke Maustaste geht wie bisher zum nächsten oder
   vorherigen Track. Die Extra Tracks lassen sich über den Button "More..." im
   FileInfo Dialog editieren.

10.Pitch oder BPM Matching (Pitch To) funktioniert nun auch über das Bedienteil.
   Wird bei einem Player die "Match" Funktion aktiviert wird der BPM Wert des
   Players an den BPM Wert des anderen Players angeglichen. Der andere Player zu
   dem der Pitch angeglichen wurde fungiert sofort als Master, dh. jede Änderung
   am Pitch Reglers des Players zieht ebenfalls eine Pitch Änderung am anderen
   Player nach sich, die Geschwindigkeit der Player bleibt dadurch synchron.
   Der Momentan als "Pitch Master" aktive Player ist durch die blinkende Pitch
   LED erkennbar. Wird in den Master Player ein neuer Track geladen so wird der
   Pitch Lock aufgehoben und der Regler des Slave Players arbeitet wieder, der
   Pitch des Slave Players bleibt aber solange auf dem vom Master vorgegebenen
   Wert bis entweder der Pitch abgeschalten wurde oder der Pitch Regler einige
   Millimeter bewegt wurde.

11.Es gibt nun eine echte Brake Funktion. Bei laufendem Player kann man durch
   drücken der Play Taste mit der rechten Maustaste den Player langsam auslaufen
   lassen, danach steht der Player auf Pause. Ein drücken der Play Taste mit der
   rechten Maustaste bei gestopptem Player lässt den Player langsam wieder
   hochfahren, der Cue Punkt bleibt immer unverändert. Die Brake Funktion kann
   jederzeit abgebrochen werden indem erneut Play mit der rechten Maustaste
   gedrückt wird.
   Mit dem neuen Bedienteil läst sich die Brake Funktion über die Brake Taste
   ein/aus schalten und dann direkt über die Play Taste bedienen. Während ein
   Player Brake ausführt läst sich der Player manuell mittels dem inneren
   Jog Rad anschieben oder abbbremsen, ähnlich wie bei einem Plattenteller.

12.Drücken auf die "Match BPM" Taste(früher "PitchTo") mit der rechten Maustaste
   Fadet den Player nun mit der eingestellten Fade Zeit aus.

13.Das zurücksetzen der Position des Players geschieht nun nicht mehr durch
   zweimaliges drücken der Cue Taste, sondern durch halten der Cue Taste für
   1 sec. Dadurch kann mit Tack Anfang und gesetzem Cue Punkt gewechslet werden.
   Mit der alten Funktion (2x drücken) konnte es leider häufig zu Fehlbedienungen
   kommen.

14.An BPM-Studio PRO können nun zwei Bedienteile gleichzeitig angeschlossen
   werden. Dies ist nicht dazu gedacht das zb. 2 DJ's gleichzeitig mit BPM-Studio
   arbeiten können, sondern um zb. je ein Bedienteil in verschiedenen Räumen zu
   plazieren und von beiden Räumen auf BPM-Studio zuzugreifen. Für jedes
   Bedienteil existieren getrennte Optionen, wie COM Port usw. dabei benötigt
   natürlich jedes Bedienteil einen eigenen COM Port.
   Die Bedienteil Typen lassen sich beliebig mischen, allerdings gibt es
   dann unter Umständen einige Einschränkungen welche damit zusammenhängen das
   die Slider an den Bedienteilen nicht automatisch bewegt werden können.
   Bei zwei Bedienteilen mit Slidern muss eines in den Optionen als Master
   festgelegt werden, beim anderen sind die Slider inaktiv. Bei einem Bedienteil
   mit Slidern und einem mit Pitchrad funktionieren nur die Slider, die
   Pitch Räder des anderen Bedienteils bleiben ohne Funktion. Bei zwei
   Bedienteilen mit Pitch Rädern gibt es keinerlei Einschränkungen, dieser Lösung
   ist deshalb wenn möglich der Vorzug zu geben.

15.CD-Exta CD's mit zusätzlichem Daten Track, zb. Video werden nun korrekt gelesen,
   bisher gab es häufg Probleme mit dem letzten Track.

16.BPM-Studio PRO verfügt nun über internen Telnet und HTTP Host. Dies ermöglicht
   die Fernsteuerung der wichtigsten Funktionen über Telnet oder einen beliebigen
   WEB Browser. Weiterhin läst sich BPM-Studio über dieses Interface auch von einer
   anderen Anwendung steuern indem einfach http Befehle gesendet werden und als Host
   "localhost" verwendet wird. Die implementierten Befehle erhalten Sie ganz einfach
   indem Sie bei laufendem BPM-Studio und aktiviertem Server folgende Adresse in
   Ihrem WEB-Browser eingeben:

     http://localhost:port/cmds.html

     port steht dabei für den in BPM-Studio eingestellten http Port.

   Eine kleine Beispiel Anwendung wie der Zugriff über http Befehle generell
   funktioniert erhalten Sie auf Anfrage von ALCATech. Derzeit existiert ein Demo
   für Delphi die sich einfach auf andere Entwicklungssysteme portieren lässt.


17.Ab sofort können Sie auch eine spezielle Netzwerk Version von BPM-Studio
   kaufen. Zu dieser Netzwerk Version erhalten Sie nur einen Dongle in den die
   gewünschte Anzahl von Lizenzen eingebrannt wird. Es wird also nur noch in
   Dongle am Server benötigt. Dies hat den Vorteil das an den Clienten keine
   Dongles mehr benötigt werden und somit kein Dongle mehr "verloren gehen"
   kann. Weiter wird die Einrichtung von BPM-Studio im Netzwerk einfacher und
   die Netzwerk Lizenzen können zu einem günstigeren Preis angeboten werden als
   die einzel Versionen.

18.Ab sofort unterstützt BPM-Studio die COM-Ports 1..4, diese Erweiterung ist
   nötig geworden da sich zb. USB -> Serial Adapter auf COM 3 installieren
   und ansonsten nicht nutzbar gewesen wären. Achtung USB -> Serial Adapter für
   den Anschluss des Bedienteils sind nicht zu empfehlen da sie sehr langsam sind
   und die Reaktion des Bedienteils nicht optimal ist.

19.Die CD-Writer Funktionalität ist nun implementiert worden. Mit diesem Modul
   lassen sich auf recht einfache Weise Audio und Mp3 CD's erstellen. Die
   Funktionalität reicht natürlich nicht an ein ausgewachsenes Brennerprogramm
   heran und das soll sie auch nicht, im Vordergrund stand die einfache
   Handhabung. Im Moment werden die folgenden Brenner unterstützt, neue Brenner
   werden über ein kostenloses Treiber Update aller 3-4 Monate hinzugefügt:

     - ACER 4232A / 4432A / 6206A / 6232A / 6432A / 8432A
     - ACTIMA 4420
     - AOpen 9420 / 9624
     - BTC 62IE
     - DELTA OME-W141
     - CREATIVE 2224 / 4224 / 4210 / 4800 / 6424 / 8432 / 8433 /8435 / 8438 / 121032
     - CYBERDRIVE CDRW602 / CRD-R800SCD
     - Discmatic AD1050
     - Freecom 8432
     - GRUNDIG CDR100 IPW
     - HEWLETT PACKARD 4020i / 6020i / 6020es / 6020ep / 7100 / 7110 / 7200 / 7500 / 7570 / 8100 / 8110 / 8200 / 8210 / M820E / 8250 / 9100 / 9200 / 9340 / 9500 / 9600 / 9700 / 9900
     - HIGHTECH CD-R2000
     - HI-VAL 2242
     - IMATION 4x4x20 / IMRR080020 / 8x8x20
     - IOMEGA ZIP CD (alle Modelle)
     - JVC XR-W2010 / XR-W2020 (2626) / XR-W2040 / XR-W2042 / XR-W2080 / XR-4080
     - KODAK PCD225 / PCD600 / Disc Transporter
     - LG/Goldstar CED-8041B / 8042B / 8043B / 8045B / 8080B / 8083B / 8120B
     - LiteOn LTR-1240 / LTR-12101B
     - MEMOREX 620 / 1622 / 2224 / 2642 / 2216 / 4224 / 4420 / 6424 / 8220 / 8432 / 6424-4 (Trimax 2000) / TwelveMAXX 1032A
     - MITSUBISHI CDD226
     - MITSUMI CR-2401 / CR-4801 / CR-4802 / CR-4804 /CD-4805
     - OLYMPUS CDS615E / CDS620E
     - PANASONIC / MATSUSHITA CW-7501 / CW-7502 / CW-7503 / CW-7582 / CW-7585 / 7586
     - PHILIPS CDD522 / CDD2000 / CDD2600 / CDD3600 / CDD 3610 / CDD 3801 (CD-RW 200) / OMNIWRITER / CDD4201 / CDD4401 / CDD4801
     - PINNACLE RCD5040 / RCD4X4
     - PIONEER DW-S114X
     - PLASMON RF4100 / CDR4220 / CDR4240 / CDR480
     - PLEXTOR PX-R24CS / PX-R412C / PX-RW4220T / PX-R820T / PX-R8220 / PX-8432 / PX-W124 / PX-W1210 / PX-1210 / PX-W1610
     - RICOH RO-1420C / MP6200 / MP6201 MP7040 / MP7060 / MP7063/ MP7080 / MP7083 / MP7120 / MP 7200/ MP8040 / MP9060 / MP9120
     - SMART & FRIENDLY 226 / 2001 / 2004 / 2006Plus / 2224 / 4000 / 4006 / 4012 / 8020
     - SAMSUNG SW-204 / SW-206 / SW-207 / SW-208 / SM-304 / SM-308 / SW-408 / SW-212
     - SANYO alle 8X und 12X
     - SONY CDU-920S / CDU-924S / CDU-948S / CRX100E / CRX110E / CRX120E CRX120E / CRX140E / CRX140S / CRX145S / CRX145E / CRX160S / CRX160E / CRW-0811
     - TDK VeloCD 8x / VeloCD 12x / VELO 16x/10x/40x
     - TEAC CD-R50S / CD-R55S / CD-R56S / CD-R58S / CD-R58E / CD-W54E / CD-W512E / CD-W512S / CD-W516E
     - THAT's WRITE 820S
     - Toshiba SD-R1002
     - TRAXDATA CDR 2224 Plus / CDRW2260 / CDRW2260 PLUS / CDRW4260 / CDR4120 / 8432
     - WAITEC WT2036 / WT2422 / WT2444 / WT3244 / WT412 / WT624 / WT824 / WT4046 / WT2082 / WT3284
     - WEARNES CDR-432 / CDR-632 / CDRW-622
     - YAMAHA CDR100 / 102 / 200 / 400 / 401 / 2216 / 2260 / 4001 / 4216 / 4260 / 4416 / 6416 / 8424 / 8824 / 2100

     Bitte beachten Sie das Sie bei Problemen mit der Brenner Funktion zunächst die
     Geschwindigkeit reduzieren, auch kann nicht jeder Rohling mit jeder
     Geschwindigkeit beschrieben werden.
     In auf alle Fälle sollten Sie im Geräte Manager die automatische Benachrichtigung
     für alle CD-Rom Laufwerke abschalten, ansonsten können insbesondere beim Brennen
     von Audio CD's Probleme auftreten.

     Sollten weiter Probleme auftauchen konsultieren Sie bitte folgende Seiten:

       http://www.disc4you.de/kompendien/cd/index.html  (deutsch)

       http://www.brennmeister.com/articles/aspi/  (deutsch)

       http://www.ncf.carleton.ca/~aa571/aspi.htm   (english)

       http://www.goldenhawk.com/firmware_body.htm  (english)

     Insbesondere die Seiten über Firmware Upgrades und ASPI Treiber sollten Sie
     intensiv studieren.


20.Die Clipboard Funktionen wurden erweitert, mit den üblichen Clipboard Funktionen
   lässt sich nun auch eine komplette Gruppe direkt aus dem Datei Archiv in's
   Clipboard übernehmen. Insbesondere in Verbindung mit dem Writer Modul ist diese
   Funktion hilfreich um eine komplette Gruppe in das Writer Fenster zu übernehmen.

21.Leistungsfähiger Realtime "Loop-Sampler" in Verbindung mit Bedienteil.
   Weitere Erläuterungen im Handbuch.

22.Es können jetzt auch Playlisten (PLS,M3U) direkt vom Windows Explorer per
   Drag & Drop in BPM Studio gezogen werden.

23.Wird während dem drücken auf den "Load Playlist" Knopf die Control gehalten
   so wird die Playliste an die vorhandene Playliste angehangen.

24.Das Laden des Archives beim Programmstart kann nun nicht mehr abgebrochen
   werden, leider kam es immer wieder vor das unerfahrene Anwender den
   Ladevorgang abgebrochen haben und damit das Archiv zerstört haben.

25.Die Pitch Bend Funktion wurde überabeitet. Ab und zu kam es vor das sich nach
   drücken von Pitch Bend +/- der Pitch selbständig machte und "davonlief". Die
   Bend Tasten können nun gleichzeitig gedrückt werden und es hat immer die zuletzt
   gedrückte Taste Vorrang. Insbesondere beim schnellen antippen der beiden Tasten
   macht sich dies sehr gut.

26.Die Normaliesierungs Funktion wurde erweitert so dass sie nun automatisch das Ende
   des Titles erkennt, dies ermöglicht es der Auto-Play Funktion Stille am Ende zu
   überspringen und sorgte für bessere Auto-Fades.

27.Unterstützung für installierte CharSets, damit lässt sich die Sprache zb. wie
   gewohnt mit Alt+Shift auf Griechisch oder Hebrehisch umschalten, je nach
   installierten Tastaturl Layouts.

28.Und viele andere Kleinigkeiten und BugFixes, hier haben wir nur die wirklich
   neuen und wichtigen Sachen aufgeführt.

Version 3.5.0.0:
================

1. Der Suchalgorithmus wurde optimiert und funktioniert nun auch bei sehr großen
   Archiven innerhalb von Sekunden.

2. Die Suchfunktionn listet nun keine doppelten Einträge mehr auf.

3. Die Suchergebnisse werden nun entsprechen den Sort-Einstellungen sortiert.

4. Die Archiv Update Funktion wurde drastisch optimiert und dauert nun auch bei
   sehr großen Archiven kaum länger als 10..20 Minuten, früher wurden Stunden
   oder Tage benötigt ;-)

5. Das Laden des Archiv's beim Programmstart wurde optimiert und funktioniert
   nun gerade bei großen Archiven wesentlich schneller (~Faktor 10).

6. Einige kleinere Probleme im Zusammenhang mit Faderstart wurden korrigiert.

7. Bei Änderung der File Info mehrerer Listeneinträge wurden teilweise nicht
   alle Einträge geändert bzw. sogar manchaml die falschen.

Version 3.4.0.0:
================

1. Unter W2K funktionierte Shutdown/Restart nicht richtig.

2. Die AutoStart Funktion (/AUTO) funktionierte nicht mehr richtig.

3. BPM-Studio konnte 2x gestartet werden, das war nicht so gewollt...

4. Wurde in den Audio Optionen 2 Sek. Puffer eingestellt brach der
   aktuelle Titel nach Search -> Play unvermittelt ab.

5. Ebenfalls bei 2 Sek Preload Puffer und Instant-Cue gab es kurze Loops
   und Sprünge nach Search -> Play.

6. Im CD-Player kam es bei Search und setzen der Position zum Einfrieren des
   Systems.

7. Beim abspielen im Monitor Player und sofortigem Start eines anderen Tracks
   konnte es in seltenen Fällen einen Blue-Screen geben.

8. Der eingestellte Auto-Cue Level wurde nicht berücksichtigt

9. Eigene Genres von älteren Versionen wurden teilweise nicht richtig übernommen

10.Einige kleinere Probleme mit dem Kernel Treiber und den Delta Karten behoben

11.AutoPlay, im WaitList Modus mit hartem Fade spielte der Player zu spät los
   und teilweise wurden die ersten ~500 ms abgeschnitten.

12.Sehr kurze Files wurden, obwohl schon normalisiert, immer wieder erneut
   normalisiert.

13.Im Ripper kam es ab und zu vor das der letzte Frame des letzten Tracks nicht
   richtig gelesen werden konnte.

14.Bedingt durch das Design von Win9x gab es bisher ein Limit von 32768
   Einträgen in den Listen. Durch die Entwicklung eines Replacements für
   die Windows Listbox Controls ist dieses Limit jetzt aufgehoben.

15.Für die neue Generation des Bedienteils (3.00B) wurde Faderstart implementiert
   Zum aktivieren in den Remote Option die CheckBox "Fader Start" anklicken.
   ACHTUNG: Faderstart funktioniert nur mit Bedienteilen ab HW Revision 3.00B
   Faderstart wurde nun auch in der Software freigeschaltet und kann mit den
   neuen Bedienteilen genutzt werden.

16.Neue Hotkeys in den Listen:

    - CTRL-P,
      SHIFT-P        : Track von fokusierter Liste in jeweiligen Player laden
      ALT-P

    - CTRL-Q,
      SHIFT-Q        : Track von FileArchiv in linke o. rechte Playlist laden
    - ALT-Q          : Tack von FileArchiv in Waitlist laden

    Clipboard Funktionen:
    ---------------------
    - CTRL-A         : Alles auswählen
    - CTRL-C         : Kopieren          (CTRL -Einfügen)
    - CTRL-V         : Einfügen          (SHIFT-Einfügen)
    - CTRL-X         : Auschneiden       (SHIFT-Entfernen)

    Player Pitch Funktionen:
    ------------------------
    CTRL-Einfügen,
    SHIFT-Einfügen,
    ALT-Einfügen     : ehemals Pitch-On entfallen durch die Clipboard Funktionen
                       und werden ersetzt durch:

    CTRL-Z,
    SHIFT-Z,
    ALT-Z            : Pitch On/Off

    ---

    CTRL-Entfernen,
    SHIFT-Entfernen,
    ALT-Entfernen    : ehemals Pitch-Reset entfallen durch die Clipboard Funktionen
                       und werden ersetzt durch:

    CTRL-Y,
    SHIFT-Y,
    ALT-Y            : Pitch Reset


17. In BPM-Studio wurde eine automatische Upgrade Funktion für Audio Treiber
    implementiert. ALCATech bekommt regelmässig die aktualisierten Treiber der
    Soundkarten Hersteller und stellt diese auf dem ALCATech Server zum download
    bereit. Mittels der Update Funktion werden Sie nun nicht nur über neue
    Versionen von BPM-Studio informiert sondern auch über neue Treiber für
    Ihre Soundkarte. Um dies zu realisieren erkennt BPM-Studio die installierte
    Audio Hardware und deren Treiberversion und gleicht diese Informationen
    mit den Treiberdateien auf dem ALCATech Server ab. Steht eine neue Version
    zum download bereit bekommen Sie eine entsprechende Meldung inklusive
    direktem download Link.

18. Ein Problem beim Rippen mit Sektorsynchronisation und Blockgrößen über 13
    auf manchen CD-ROM Laufwerken wurde behoben.

19. Bei Tracks mit einer Länge über 60 Minuten wird die Zeit im Player nun
    richtig angezeigt (zumindest bis 99:99.0 Minuten)

20. Bei Verwendung des Kernel Treibers wurde teilweise der allozierte Speicher
    nicht mehr freigegeben was nach einiger Zeit zu einem rapiden absinken des
    freien Speichers führte. Bedingt dadurch konnte es nach einigen Stunden zu
    Störungen wie Aussetzer oder Rattern kommen.

Version 3.3.0.0:
================

1. Ein "kleiner" Bug in den Benutzer Optionen wurde behoben,
   manchmal waren die Passwörter für alle User sichtbar, sorry ;-)

2. Mixed Mode CD's die als letzten Track einen Daten Track enthalten werden
   nun korrekt behandelt und gelesen (zb. Dream Dance).

3. Einige kleinere Bugfixes beim Kernel Treiber

4. Der Kernel Treiber hat nun einen eigenen Eintrag in den System Einstellungen.
   Bei Problemen mit dem Kernel Treiber kann er somit recht einfach deaktiviert werden.

5. In den Menüs der Listen gibt es nun einen Eintrag "Export..." über den
   ausgewählte Listen Einträge kopiert oder decodiert werden können.

6. Kommunikation mit Bedienteil optimiert so das weniger Kommandos übertragen
   werden müssen.

7. Für die neue Generation des Bedienteils (3.00B) wurde Faderstart implementiert
   Zum aktivieren in den Remote Optionen die CheckBox "Fader Start" anklicken.
   ACHTUNG: Faderstart funktioniert nur mit Bedienteilen ab HW Revision 3.00B

8. Ein Fehler (Invalid DriverID) beim öffnen der Optionen unter Windows 95C wurde
   behoben.

9. Ein Problem mit dem Kernel Treiber und manchen Treiberversionen der SB PCI
   wurde behoben, der Treiber ließ sich zwar auswählen aber der Player startete nicht.

10.Beim Stoppen oder Neustarten eines Players wird nun nich mehr hart gestoppt
   sondern es wird ein kurzer Fade von 0.25 ms ausgeführt. Dadurch kommt es zu
   keinem harten Schnitt des Signals mehr wodurch Knackser vermieden werden.

11.In den BPM-Studio Audio Option läst sich nun die Latenz des Kernel Treibers
   einstellen, dies kann nützlich sein wenn zb. die Wiedergabe auf manchen,
   von uns nicht getesteten Karten stottert.
   VORSICHT: wer nicht weiß was er tut sollte davon lieber die Finger lassen !!!

12.Instant Cue Funktion: Die Audio Engine wurde überarbeitet und ist nun in der
   Lage innerhalb von 4 ms (abhängig vom Audio Treiber) von jeder beliebigen
   Position zurück zum Cue-Punkt zu springen. Besonders interessant ist dieses
   Feature für die Cue-Play Funktionen (normal und alternativ) die nun als
   Sampler fungieren können.

13.Vollständiger Windows Millenium Support, ME funktioniert nun genauso gut wie
   Windows 98, die bekannten Nachteile von Windows 2000 oder NT bestehen bei ME
   nicht und wir können ME, genau wie Win98, uneingeschränkt empfehlen.

14.Leider wurden die Systemsounds beim Start von BPM-Studio nicht immer richtig
   abgeschaltet was teilweise zu Problemen führen konnte. Alle Systemsounds
   werden nun komplett deaktiviert und nach dem schließen von BPM-Studio
   werden die Systemsound Einstellungen wieder restauriert.

15.Sobald der Kernel Treiber installiert war ließ sich der Rechner nicht mehr
   in den Suspended Mode versetzen, was insbesondere bei Notebooks ärgerlich ist.
   Der Kernel Treiber unterstützt nun den Suspended Mode und muss nicht deaktiviert
   werden um den Suspended Mode zu nutzen.

16.Einige Kunden hatten festgestellt das der MP3 Encoder in neueren Versionen
   schlechter klingt. Ursache war wohl eine neue Encoder Library die wir von
   Frauenhofer erhielten. Eigene Tests bestätigten das die neue Version wohl
   nicht mehr so gut klingt, deshalb sind wir wieder zur älteren Version
   zurückgekehrt die auch nie Probleme bereitet hatte.

17.Viele weitere Kleinigkeiten und Bereinigungen die für den normalen
   Anwender nicht weiter interessant sind.

18.Ab dem 5.10.2000 begann die Audio Ausgabe von BPM-Studio stark zu rauschen.
   Leider hatten wir versehentlich ein Code Fragment der Demo Version vergessen
   zu deaktivieren was zu diesem Rauschen führte. Zwar hatten wir kurzfristig
   einen Patch bereitgestellt der das Problem behebt, in der neuen Version ist
   dieses Problem aber endgültig behoben.

Version 3.2.5.0:
================

Kleinere Bugfixes


Version 3.2.0.0:
================

In dieser Version gibt es neben einigen neuen Features hauptsächlich
interne Verbesserung und Optimierungen welche die Performance von
BPM-Studio entscheidend verbessern.

1. Ein Problem beim Zeichnen der Bitmaps auf einigen Grafikkarten wurde behoben

2. Einige kleinere Probleme mit ASIO Treibern wurden behoben

3. Neuer Spline Interpolations Filter, dadurch wesentlich bessere Qualität
   der Pitch Funktion mit ASIO, EASI, Wave und Kernel Treiber

4. Low Level Audio Engine komplett überarbeitet und optimiert.
   Parallelverarbeitung der Daten durch MMX Optimierungen weiter verbessert.
   Speicherbedarf der Audio Engine reduziert.

5. Master Tempo Algorithmus komplett überarbeiter, die Qualität ist nun
   wesentlich besser, weiterhin ebenfalls MMX optimiert.

6. Extrem exakter Realtime BPM-Counter der zwischen 50..300 BPM
   zu 99% exakt zählt. Folgende Bereiche stehen zur Auswahl:
   50..100, 75..150, 100..200, 150..300 BPM. Der Wert wird direkt
   im Player berechnet und muss nicht erst über den separaten BPM Counter
   ermittelt werden. Ist der Wert einmal berechnet kann er direkt in den
   ID3 Tag übernommen werden (rechte Maustaste).

6. Neues Treiberinterface für EASI Treiber (Emagic), wird zwar von kaum
   einer Soundkarte unterstützt aber damit (und dem neuen Kernel Treiber)
   haben wir die Treiberunterstützung komplett ;-)

7. Lautstärke Anpassung: Die Normalisierung wurde komplett überarbeitet und
   funktioniert nun als Lautstärke Anpassung. Im Menü des Datei Archives gibt
   es einen neuen Menüpunkt "Normalisierung" mit dem das gesamte Datei Archiv
   normalisiert wird. Dieser Vorgang kann natürlich bei großen Archiven mehrere
   Stunden oder sogar Tage (!) dauern muss aber pro Titel nur einmal durchgeführt
   werden. Kommen neue Titel hinzu und wird erneut normalisiert werden bereits
   gescannte Titel nicht noch einmal gescannt, deshalb geht es dann wesentlich
   schneller.

   Während der Normalisierung werden von allen Titeln die Peak und RMS Werte
   ermittelt und daraus ein Wert für die durchschnittliche Lautstärke jedes
   Titels berechnet. Am Schluss ist der leiseste und lauteste Titel bekannt
   und auf Basis dieser Werte werden einzelne Titel später angepasst.
   Sehr leise Titel werden verstärkt, sehr laute gedämpft, die Dynamik bleibt
   dabei weitestgehend erhalten da nur ein Verstärkungsfaktor pro Titel
   verwendet wird und nicht dynamisch geregelt wird.

8. In den BPM-Studio Audio Optionen steht nun ein neuer Treiber Typ zur Auswahl,
   der "Kernel Treiber". Dieser von ALCATech entwickelte Treiber spricht die
   Soundkarte auf einem sehr niedrigen Level vom Kernel Modus aus an und ermöglicht
   durch die sehr hohe Priorität in der ein Kernel Treiber läuft extrem kleine
   Latenzzeiten (4..10 ms) bei sehr hoher Betriebssicherheit. Der Kernel Treiber
   greift dabei auf vorhandene Treiber Funktionalität wie zb. DirectSound zurück
   und funktioniert somit auf beinahe allen Karten, sogar auf solchen die bisher
   auf Grund fehlender DirectSound Treiber nur mit ASIO oder Wave Treibern zu
   nutzen waren und öfters zu Droputs neigten.
   Der Kernel Treiber funktioniert jedoch nur unter Win95/98/Millenium, NT oder
   Win2K werden auf Grund von Einschränkungen dieser Betriebssysteme bis auf
   weiteres nicht unterstützt.

9. Nur Profi Version: In den Optionen des Bedienteils gibt es nun einen
   Button "Calibrate". Für den Fall das die Schieberegler in der Nullposition
   nicht exakt auf Null stehen lassen sich die Schieberegler durch drücken dieser
   Taste in der Mittelposition kalibrieren.

10. In den Audio Optionen gibt es eine neue Einstellung für "Autor Cue Level"
    Mit diesem Wert läst sich einstellen ab welchem Pegel Auto Cue anspricht.

11. Die Soundkarten Sektion auf der ALCATech WEB Seite wurde komplett überarbeitet.
    Bitte entnehmen Sie weitere generelle Hinweise zu den BPM-Studio Treibern und zu
    getesteten Soundkarten diesen Seiten.

Version 3.0.6.0:
================

1. Ab und zu erkannte BPM-Studio den Wechsel einer CD nicht, behoben.

2. Nach einlegen mehrerer CD's kann die CDDB Abfrage für all diese CD's in
   einem "Rutsch" ausgeführt werden

3. Es kann nun auch Manuell eine Internet Verbindung auf/ab -gebaut werden,
   rechte Maustaste auf CDDB Button

4. Ein "Blue-Screen" in Dsound.vxd hervorgerufen durch einige DirectSound Treiber
   zb. MidiMan 2044 wurde umgangen

5. Wurden mehr als 999 Songs in eine Playliste geladen wurde die Anzeige der
   Tracknummer in den Listen abgeschnitten, behoben.

6. Bei mehrmaligem drücken der Cue Taste wenn der Player gestoppt ist
   kann zwischen aktuellem Cue Punkt und Datei Anfang gewechselt werden.
   Beim Sprung zurück zum Datei Anfang wird nun Auto-Cue berücksichtigt und
   vorhandene Stille am Anfang übersprungen.

7. Eigene Genres werden nicht mehr in der Registry gespeichert und gehen deshalb
   nicht mehr verloren wenn die Registrierung gelöscht wurde.

8. In den Datei Optionen werden nun auch Verzeichnisse in mehreren Ebenen richtig
   angelegt.

Version 3.0.5.0
===============

1. Bei Einstellung einer anderen Preload Größe in den Audio Optionen
   hing BPM-Studio, behoben.

2. Die letzten 2-3 Sekunden eines Tracks wurden abgeschnitten, behoben

3. In die Playlisten läßt sich nun mehrmals der gleiche Track laden

4. Verbesserung der Performance um 7..10% durch Optimierungen.

5. Für langsamere Rechner (Celeron Notebooks usw.) gibt es jetzt
   eine Option "Aggressives Refresh" die man abwählen kann. Dadurch werden
   alle Anzeigen nicht mehr ganz so schnell neugezeichnet was auf langsameren
   Rechnern einiges an Performance bringt (bis 10% je Player)

6. Neuer Tastenbefehl Alt+V = Visualization

7. Ein Fehler der "Silence Detection" (Auto-Cue) wurde behoben

8. Eine Schutzverletzung bei Verwendung von Front/Rear Ausgängen wurde behoben


Version 3.0:
============
1. Ein Fehler im FileArchiv wurde behoben, manchmal wurden die Gruppen nicht
   richtig abgespeichert

2. angelegte Temp Dateien werden nun richtig gelöscht

3. schreibgeschützte Dateien werden nun korrigiert bevor der ID3 Tag
   geschrieben wird

4. Beim schreiben der ID3 Tags werden keine Tempfiles mehr angelegt

5. Mehrere Tracks können nun gleichzeitig ausgewählt und im FileInfo Editor
   editiert werden. Dazu gibt es im Info Editor nun Checkboxen um festzulegen
   welche Werte bei allen Tracks geändert werden sollen.

6. In allen Listen gibt es nun eine Funktion um Titel und Interpret zu tauschen.

7. Die Autosave entfernte leider die eventuell vorhande "SEARCH RESULTS" Gruppe, behoben

8. Bei schließen des BPM-Counters gab es eine Schutzverletzung, behoben

9. Die Equalizer Einstellungen wurden manchmal nicht richtig abgespeichert,
   das führte dazu das beim nächsten Programmstart das laden abgebrochen
   wurde und alle Gruppen, Listen usw. verschwunden waren.

10.Unterstützung für Bildschirmauflösungen von 800x600 und 1024x768 im
   VollScreen Modus, bei noch größeren Auflösungen werden mehrere Module
   untereinander angezeigt.

11. BPM-Studio verfügt nun über verschiedene Skins (GUI's)

12. Zur Verwaltung mehrerer Benutzer gibt es nun eine Benutzerverwaltung
    Die Zugriffsrechte jedes Benutzers lassen sich dabei einstellen und es lassen
    sich Passwörter vergeben.

13. BPM-Studio ist nun mit ausgefeilten Netzwerkfunktionen ausgestattet.
    Ein System kann nun aus einem Server und mehreren Clients bestehen.
    Die Clients können auf das Datei Archiv des Servers lesend zugreifen
    und jegliche Änderungen am Datei Archiv des Servers führen zur
    automatischen Aktualisierung der Datei Archive aller verbundenen Clients.

14. BPM-Studio kann nun als exklusive Shell Anwendung gestartet werden,
    in diesem Modus gibt es keinen störenden Explorer o.ä. mehr der uns mit
    seinen Aktionen dazwischen funken kann.

15. Mastertempo (Änderung der Abspielgeschwindigkeit ohne Änderung der Tonhöhe)

16. CDDB Einstellungen wurden erweitert um zb. www.freedb.org zu benutzen

17. Die CDDA Parameter lassen sich nun für jedes installierte CD-ROM LW in
    den Optionen einstellen. Das sollte die ab und zu auftretenden Probleme mit
    einigen LW beheben.

18. Unterstützung für WinAmp Visualization PlugIn's
    (rechte Maustaste im Recorder, Recording Format\Visualization)

19. Unterstützung von 3D Soundkarten mit Front/Rear Ausgang
    Damit läßt sich zb. mit einer SB-Live eine 2 Kanal Stereo Lösung realisieren.
    Da die Karte aber dann im 3D Modus betrieben wird und die Qualität des
    Front und Rear Ausgangs recht unterschiedlich ausfällt eignet sich diese Lösung
    kaum für Profi Anwendungen. Für den ambitionierten Home DJ sollte diese Lösung
    jedoch eine gute Alternative darstellen da mit einer simplen und recht weit
    verbreiteten 3D Soundkarte bereits 2 unabhängige Stereo Kanäle bereitstehen.
    Getestet haben wir diese Funktionen mit SB-Live und Terratec DMX Karten und
    befanden die Terratec DMX als eindeutig besser da sie über 96 3D HW Puffer
    verfügt und somit alle BPM-Studio Funktionen umsetzen kann. Die SB Live verfügt
    nur über 32 3D HW Puffer und auf dieser Karte läßt sich der BPM-Studio Monitor
    nicht verwenden, die Karte hat einfach nicht genügend 3D HW Puffer.
    Sollen Daten getrennt über Front und Rear ausgegeben werden, werden nun
    mal 3D HW Puffer benötigt da nur so diese Kanäle getrennt angesprochen
    werden können. Will man mit einer SB-Live also den Monitor benutzen benötigt
    man wenigstens noch eine zweite Soundkarte die den Monitor übernehmen kann.

20. Leider gibt es bei Verwendung von DirectSound im Zusammenhang mit WDM
    Treibern einen sehr störenden Effekt wenn ein Player gestartet wird, man hört
    für ca 0.5 Sekunden die Daten die gespielt wurden bevor man den Player
    gestoppt hatte. Wahrscheinlich wird da etwas nicht richtig initialisiert,
    zb. die Puffer nicht richtig gelöscht. Leider konnten wir nicht herausfinden
    welche System Komponente genau dafür verantwortlich ist, Möglichkeiten wären
    zb. DirectSound selbst, der WDM Treiber oder sogar der Windows Kernel Mixer.
    Da unter Windows 2000 aber fast alle Audio Treiber als WDM Treiber implementiert
    sind tritt dieser Effekt da auf beinahe allen Soundkarten auf, natürlich ist
    das ein nicht zu aktzeptierender Zustand, BPM-Studio wäre unter Windows 2000
    mit DirectSound Treibern praktisch unbrauchbar. Da der Effekt auch mit jeder
    anderen Anwendung die DirectSound verwendet, wie zb. dem Windows Media Player,
    zu reproduzieren war konnten wir davon ausgehen das es nicht an BPM-Studio
    selbst liegt. Nach einigen Experimenten haben wir jedoch eine Lösung für das
    Problem gefunden und BPM-Studio kommt nun auch mit diesem Problem zurecht und
    funktioniert einwandfrei mit WDM Treibern, sowohl unter Windows 2000 als auch
    unter Windows 98. Bemerken muss man zu WDM allerdings noch das es in den
    aktuellen Versionen von Win98 und W2K immer eine Latenz von 30..80ms gibt
    die dadurch entstehen das der Kernel Mixer sich immer zwischen Anwendung
    und Treiber klinkt und diese Latenz durch internes Puffern hinzufügt.
    Diese Tatsache wurde von den MS Audio Entwicklern bestätigt und es wurde
    in Aussicht gestellt das es in Zukunft möglich sein wird den Kernel Mixer
    zu umgehen. Wann dies sein wird steht jedoch noch nicht fest, mit DirectX 8
    das demnächst kommt wird es aber vorraussichtlich noch nicht behoben sein.

21. BPM-Studio wurde für Multiprozessor Systeme unter NT bzw. Windows 2000 optimiert.
    Sind in einem System mehrere Prozessoren vorhanden so verwendet BPM-Studio für jede
    Player Einheit einen getrennten Prozessor. Dadurch sind die Player noch unabhängiger
    und müssen sich keine Rechenzeit mehr teilen bzw. die Player Threads unterbrechen
    sich nicht mehr gegenseitig. Das wirkt sich natürlich sehr positiv auf die
    Performance und Player Stabilität aus.

22. Wenn BPM-Studio eine Internet Verbindung aufgebaut hat um zb. die CDDB
    Abfrage durchzuführen dann wird die Verbindung wieder korrekt abgebaut.

... und viele weitere kleinere BUG-Fixes


Version 2.0:
============
1.  Beim Start werden die ursprünglich geladenen Titel wieder angewählt

2.  War AutoPlay beim beenden aktiv so wird es bei einem Neustart wieder aktiviert

3.  NEU: Volltext suche (Wildcards *, ?)

4.  AutoCue (Stille am Anfang überspringen)

5.  Wenn ein Titel geladen ist und dessen FileInfo geändert wird wird das neue
    Info in ein TempFile geschrieben, da ansonsten das schreiben der Tags fehlschlägt
    (Datei in Benutzung)

6.  Auf den CD-Player können jetzt Titel aus den PlayListen gezogen werden,
    dadurch kann er als dritter Player bzw. komfortabler Monitor benutzt werden

7.  Shuffle Modus sortiert nun die Listen immer neu, dadurch sollte er auch
    schneller sein.

8.  List Index Fehler behoben wenn in AutoPlay und kein Title mehr in Liste

9.  Vom Datei Archiv werden jetzt Backups der Files angelegt und bei einem
    Crash je nach Bedarf restauriert.

10. Autosave Funktion: Alle 5 Minuten wird der gesamte Zustand von BPM-Studio
    gespeichert. Dadurch sollte es selbst bei einem eher unwahrscheinlichen
    Crash nicht mehr zum Verlust von Archiven und sonstigen Daten kommen.

11. Einstellungen des Samplers (wie zb. Files) wurden nicht richtig gespeichert

12. Monitor Funtion komplett überarbeitet, in den Optionen gibt es nun einen
    Button "Card Test", erst wenn der Karten Test ausgeführt wurde läßt sich
    der Monitor starten. Der Kartentest läuft für jeden Treiber 60 Sekunden
    und während dieses Tests wird die genaue Samplefrequenz der Karte ermittelt.
    Leider spielen die meisten Karten nicht exakt auf 44100 Hz sondern zb.
    auf 44079. Das bedeutet das verschiedene Karten nach einiger Zeit auseinander
    driften und nicht mehr synchron laufen. Kennt man die tatsächliche Samplefrequenz
    der  Karte läßt sich dies durch internen Pitchangleich vermeiden. Der CardTest
    ist also lästig aber unbedingt erforderlich und sinnvoll. Nach dem ausführen
    des Tests läuft der Monitor auf den meisten Karten zu 99.9% synchron,
    zumindest für die Dauer eines durchschnittlichen Tracks von ca. 10 Minuten.
    Wird ein neuer Track geladen wird ohnehin neu initialisiert und die Karten sind
    wieder synchron.

13. DateiNamen werden nun vor dem Rippen überprüft und ungültige Zeichen wie
    "  \/:*?"<>|.  " werden durch Leerzeichen ersetzt, dies behebt den Fehler
    "Unable to create file".

14. Ein Fehler mit CD-Text Informationen wurde behoben. CD-Text sind Extra
    Informationen auf den meisten neueren Sony CD's. Diese Informationen
    bestehen in der Regel aus Titel, Interpret usw. können aber nicht von allen
    Laufwerken gelesen werden. Diese Informationen wurden teilweise nicht richig
    interpretiert.

15. Ein relativ kritisches Memory Leak wurde behoben, teilweise wurden bis zu
    1 Mb pro gespieltem Titel nicht freigegeben, das führte dazu das sich das
    Swapfile immer mehr vergrößerte bis der Rechner unter Umständen abstürzte.

16. Ein kleinerer Fehler beim Initialisieren der ASPI Treiber unter NT wurde
    behoben.

17. Lokalisierung aller Texte abgeschlossen, derzeit sind die Sprachen
    Englisch, Deutsch, Italienisch, Französich, Holländisch und Spanisch
    verfügbarusw. Weitere sind in Vorbereitung.

18. Prozessor Last wurde um ~5% verringert, dadurch erneut bessere Performance.

19. In den neusten Versionen von Win98 gibt es ein Problem beim Initialisieren
    von mehr als einem DirectSound Treiber. Nur der Treiber der zuerst geöffnet
    wurde wird richtig initialisiert, die anderen Treiber werden von Windows
    nicht wie gewünscht auf 16 bit geschaltet sondern verbleiben auf 8 bit.
    Das Resultat ist ein sehr kratziger, typischer 8 bit Klang der sich vor allem
    bei sehr leisen Passagen durch Rauschen bemerkbar macht. Während unserer Tests
    zeigte sich als einzige Abhilfe eine externe Anwendung zu starten und die Treiber
    einzeln von dieser Anwendung aus auf 16 bit zu schalten. In der Regel fällt das
    nicht weiter auf, lediglich beim öffnen der Treiber flackert BPM Studio kurz auf
    da für jeden zu öffnenden Treiber die externe Initialisierung gestartet wird
    und dadurch der Focus an diese Anwendung übergeben werden muss. Weiterhin hört
    man bedingt durch die Umschaltung der Karte von 8 auf 16 bit einen kurzen
    Knackser, beim Start von BPM Studio also nicht gerade die Boxen voll aufdrehen....

20. Es kam immer mal wieder vor das ca. 1s nach einem Play Kommando wieder zurück
    zum Anfang gesprungen wurde. Das hängt damit zusammen das der interne Soundpuffer
    zugunsten guter Echtzeit Fähigkeiten mit 1s Länge sehr knapp bemessen wurde.
    Der Puffer wurde jetzt auf 2s raufgesetzt und sollte somit ausreichen, durch
    ein geändertes Puffer Managment bleibt die Echtzeit Fähigkeit aber ohne
    Einschränkungen erhalten. Insgesamt werden nun für jeden Player ein 2sec
    langer Abspielpuffer und ein 10sec langer Puffer zum vorladen von decodierten
    Daten verwendet. Vielleicht noch kurz einige Hinweise zu den Latenz Zeiten
    nach denen immer wieder gefragt wird, grundsätzlich hängen diese vom verwendeten
    Treibermodell und teilweise auch vom Treiber selbst ab:

     - DirectSound Treiber: 10..20 ms, bei emulierten Treibern 150..300 ms (!)
     - MME Wave Treiber   : 40..150 ms, je nach eingestellter Puffergröße in den BPM-Studio Optionen
     - ASIO Treiber       : 20..50 ms, Latenzzeit wird in der Regel in den ASIO Optionen des Treibers eingestellt
     - Kernel Treiber     :  4..13 ms, abhängig vom Treiber

    Unter "Latency" versteht man übrigens die Verzögerung zwischen einem Kommando
    wie zb. Play, Pause oder Stop und dem Zeitpunkt an dem die Soundkarte auf
    diese Kommandos reagiert und zb. mit dem abspielen beginnt.
    Wie aus obiger Liste erkennbar ist sollte DirectSound und ASIO wenn
    möglich der Vorzug gegeben werden. Die Wave Treiber arbeiten aber ebenfalls
    sehr stabil und eignen sich insbesondere wenn es nur um Hintergrund Musik
    wie zb. in Tanzschulen, Kneipen usw. geht. Der Hauptgrund warum wir die Wave
    Treiber unterstützen ist die Tatsache das diese Treiber bei jeder Soundkarte
    dabei sind und in der Regel auch gut funktionieren. Auch wenn garnichts anderes
    geht funktionieren zumindest die Wave Treiber, gerade unter NT verfügen die
    wenigsten Karten über vernünftife DirectSound oder ASIO Treiber. Unsere
    Empfehlung deshalb, aller Unkenrufe zum Trotz, möglichst Windows 98 verwenden
    um Treiber Problem zu vermeiden.

21. Die Optionen des ASIO Treibers können nun direkt in den Optionen von
    BPM Studio aufgerufen und geändert werden.

22. Funktion um MP3's zurück zu Wave zu konvertieren wurde implementiert. In den
    Playlisten einfach die gewünschten Titel selektieren und dann aus dem Menü
    "Decode MP3..." aufrufen.

23. Mit den Tasten A,B,C kann nun der Pitch-Bereich für jeden Player einzeln
    eingestellt werden, auch auf der HW.

24. NEU: Loop Sampler (als Editor und Buttons A,B,C (loop), auch auf der HW.

25. Unterstützung für Windows Media Audio (*.wma) (limitiert, zumindest abspielen geht)

26. Es gibt nun eine CD-Copy Option die unter NT verhindert das ein ASPI
    Treiber geladen wird da dieser unter NT nicht unbedingt benötigt wird
    aber auch oftmals Probleme unter NT bereitet wenn andere SCSI Geräte
    installiert sind.

27. Die Wave Treiber wurden optimiert, Puffergrößen um 3x8192 sind
    auf schnellen Maschienen (P III 500) nun kein Problem mehr. Dadurch
    verringert sich natürlich auch die Verzögerung die bei den
    Wavetreibern immer etwas höher als bei den anderen Treibern ist.

28. Bei den Wave und ASIO Treibern gab es ab und zu das Problem das BPM-Studio
    nach etwa 6 Stunden abstürtzt. Da das Windows Multimedia System für alle
    internen Positions Zähler nur 32 bit Werte verwendet kommt es nach einigen
    Stunden zu einem Überlauf dieser Zähler in den Treibern, daran können wir
    natürlich nichts ändern. Was wir aber nun tun ist eine Art Wrap-Arround
    Erkennung, dadurch können wir einen Zähler Überlauf erkennen und entsprechend
    reagieren. Dadurch sollte das Problem behoben sein.

29. Durch mehrmaliges drücken von Cue wird zwischen dem aktuellen CuePunkt
    und dem Anfang der Datei hin und her geschaltet.

30. Überall wo es möglich ist Wave Dateien zu speichern kann nun auch direkt
    zu MP3 exportiert werden. Das betrifft im Detail den Wave Editor,
    den Loop-Sampler und den Recorder. Der Recorder ist dadurch nun in der Lage
    in Echtzeit direkt in MP3 aufzunehmen, die Format Auswahl erfolgt direkt
    im Recorder über die rechte Maustaste.

31. Der Equalizer unterstützt nun Presets. Es stehen einige vordefinierte
    Presets zur Verfügung, aber auch eigene Presets können als exportiertes
    Preset Files exportiert oder zu den vordefinierten Presets hinzugefügt
    werden.

32. Auf dem Grafikdisplay des Bedienteils wird nun der eingestellte Pitch und
    Pitchbereich angezeigt.

33. Am Ende eines Tracks wurden teilweise die letzen 250-500 ms abgeschnitten,
    unter Win95/98 betraf dies nur die Wave und ASIO Treiber, unter NT auch
    DirectSound.

34. Viele Kunden die derzeit mit Digital SL arbeiten konnten bisher nicht zu
    BPM-Studio wechseln wenn sie bereits größere Dateiarchive mit der Visiosonic
    Software erstellt hatten da Digital SL alle MP3 Dateien verschlüsselt. Wir
    haben uns diese Verschlüsselung einmal näher angesehen und haben festgestellt
    das die Verschlüsselung nicht dem Kopierschutz und dem Schutz von Urheberrechten
    dient sondern die Benutzer von Digital SL lediglich daran hindern soll zu einem
    anderen System wie zb. BPM-Studio zu wechseln. Dies war natürlich erst recht
    Ansporn für uns diese Verschlüsselung zu "knacken" und wir freuen uns allen
    Digital SL Anwendern mitteilen zu können das BPM-Studio nun alle mit Digital SL
    erstellten MP3 Dateien verwenden kann ohne die Dateien in irgend einer Art und
    Weise zu verändern. Also, willkommen bei BPM-Studio und Grüße an VisioSonic ;-)

35. Wenn auf einem System keine Internet Verbindung eingerichtet war konnte
    BPM-Studio unter Umständen nicht gestartet werden, nun prüfen wir die
    Internet Einstellungen erst wenn diese benötigt werden.

36. BPM-Studio unterstützt nun Live streaming (Internet Radio). Unterstützt
    werden dabei die Shoutcast/Icecast Protokolle wobei keinerlei externe
    Module benötigt werden (außer einem Server). In unseren Tests konnten
    wir mit bis zu 128kbit streamen und die Systembelastung blieb unter 30%.

37. Ein Problem beim parsen ungültiger ID3 Tags wurde behoben und ein Fehler
    beim Einlesen korrupter Gruppen wurde behoben. Weiterhin werden nun alle
    Dateien die nicht geladen werden konnten in eine Log-Datei "Failed.Log"
    geschrieben.

38. In der Suchfunktion kann nun ein BPM-Bereich angegeben werden nach dem
    gesucht werden soll. zb: 120..130 BPM.

39. Es gibt nun einen Kommandozeilen Parameter /AUTO. Wenn dieser angegeben ist
    geht BPM-Studio nach dem Start in den AutoPlayModus mit Waitlist, lädt eine
    Playliste mit Namen "Auto.lst" und startet sofort mit dem abspielen.
    Wenn man nun noch BPM-Studio im AutoStart Ordner von Windows installiert
    muss nur noch der Rechner eingeschaltet werden und man hört sofort Musik.
    Dies ist vor allem nützlich wenn BPM-Studio zur Hintergrund Untermalung
    benutzt wird oder von wenig erfahrenem Personal bedient wird, zb. Tagsüber
    in Cafes, Bars usw. wenn kein DJ anwesend ist. Zusätzlich kann der Paramter
    /SHUFFLE angegeben werden.

40. Es gibt einen neuen Hot-Key: mit Control,Shift oder Alt-P kann nun von
    jeder ListBox der ausgewählte Track in den jeweiligen Player geladen
    werden.


Initial Release Version 1.0:
============================






================================================================================
English:

Version 4.0.0:
================

1. As the popup menus became even longer by more functions, now rarely
   used entries are hidden in the style of WinME or Office 2000. The hidden
   entries can be made visibly at any time by clicking  the small arrows
   downward in the menu. The hiding of the menus itself can completely switch
   off by option, then everything remains as usual.

2. The standard groups like " SEARCH RESULTS ", " NEW FILES " etc. are now
   always in the selected language shown, by changing the language the names
   of those standard groups will be renamed accordingly.

3. Print functions, aye! -) Both the Playlists, and individual groups in the
   File Archive can be printed. However, groups inclusive sub-groups or the
   complete archive can be printed,. The print functions can be adapted by means
   of extensive settings and sorting possibilities to almost all needs, a WYSIWYG
   Print Preview is available as well.

4. The columns in the File Archive and the Playlists can be specified now freely
   and changed in the size. By double-click on a column in the header of the File
   Archive, the archive sorts itself after this column. Thus the columns can be
   adapted to all needs.

5. BPM Studio was extended by an efficient Playlist Managment. In Playlist View,
   complete Playlists can be put on and sorted in different groups. Furthermore,
   in Playlist View a list of the played songs is administered in order to
   recognize at a glance and at any time which titles have been played on a certain
   day. Of course the Playlists can simply be loaded into the Playlists of the
   Players again, printed, sorted, etc.. Now by printing a list with the played
   songs a GEMA lists can be provided.

6. Has a search in the archive been unsuccessful, the search dialogue will now
   show up immediately to make a corrected input and/or renewed search simpler.
   The dialogue can be simply cancelled with ESC of course.

7. Visualizations options can be adjusted now for each Player individually, e.g.
   left Player Spectrum Analyzer, right Player Cue points.

8. Up to 6 Cue Points can be stored now directly in the Players. To switch into
   the Cue Point Mode, right mouse button in the display and then to Cue memory.
   All Cue points are of course equipped with Instant Cue and can be called up in
   under 6 ms, thus very interesting sampling effects can be realized. In order
   to store the Cue Points, any file which has been created for Cue Points is
   being put in a file with the ending .cue that contains the Cue Points.
   Additionally, complete loops can be placed on the Cue buttons as well which
   extends the sampling possibilities even more.

9. " Automatic Gain Control " to regulate the volume automatically. Further
   explanations in the manual.

10. In the Ripper a complete CD can be now be copied as individual Track. This is
    sensible for CD's without pause between the Tracks (mix etc..). The individual
    Tracks and positions are stored thereby and is such mix leaded into the Player
    later, the individual titles can be controlled by pressing the Track buttons
    with the right mouse button, the left mouse button goes to the next or previous
    Track as before. The Extra Tracks can be edited via the button "More..."  in
    the FileInfo dialogue.

11. Pitch or BPM Matching (Pitch To) works now via the remote control as well.
    Is the "Match" function activated in a Player, the BPM value of one Player
    is adapted to the BPM value of the other Player. The other Player to which
    the pitch was adapted to works immediately as master, i.e. each change on the
    pitch slider of the Players causes likewise a change of pitch in the other
    Player, thereby the speed of the Players remain synchronous. The Player
    momentary active as " Pitch Master " is recognizable by a flashing Pitch LED.
    Is a new Track loaded into the Master Player, the Pitch Lock is cancelled and
    the slider of the Slave Player works again. The Pitch of the Slave Players
    however remains at the given value by the Master as long as  either the Pitch
    is switched off or the Pitch Slider has been moved  some millimeters.

12. It gives now a real Brake Function. With the current Player running one can
    let the Player run out slowly by pressing the Play button with the right mouse
    button, afterwards the Player stands on Pause. Pressing the Play button with
    the right mousebutton at a halted Player lets the Player run up slowly, the
    Cue Point remains always unchanged. The Brake Function can be cancelled at
    any time by pressing anew Play with the right mouse button. With the new remote
    control is it possible to switch on/off the Brake Function via the Brake button
    and then handled directly via the Play button. While a Player executes Brake
    itself, the Player can be manually pushed or slowed down by means of the internal
    Jog Wheel, similarly to a turntable.

13. Pressing  of the " Match BPM " button (previous " PitchTo") with the right mouse
    button fades out the Player with the adjusted fade time.

14. The reset of the position of the Player isn't done any longer by pressing the
    Cue button twice, but by holding the Cue button for 1 second. Thus changing
    between track beginning and set Cue is possible. With the old function
    (pressing 2x) it unfortunately could cause faulty operations frequently.

15. On BPM-Studio Pro two remote controls can be attached at the same time.
    This is not intended to e.g. that 2 DJ's work with BPM-Studio at the same time
    can, but in order to e.g. place each remote control in different areas and
    access BPM-Studio from both areas. For each remote control exist separate options
    of course, like COM port etc., thereby each remote control needs their own COM port.
    The remote control types can be mixed at will, sometimes however there are some
    restrictions which are related to that the sliders at the remote controls cannot
    be moved automatically. With two remote controls and both equipped with sliders,
    one must be specified as Master in the options, in the other one the sliders are
    inactive. At one remote control with sliders and one with pitch wheel only the
    sliders will work, the pitch wheels of the other remote control functions remains
    without function. With two remote controls equipped with pitch wheels there are no
    restrictions, this solution is therefore to be given the preference, if possible.

16. CD-Extra CD's with additional data tracks, e.g. video are now correctly read.
    So far it gave frequently problems with the last track.

17. BPM-Studio Pro has now a internal telnet and HTTP host. This makes it possible
    to control the most important functions remotely over telnet or any web browser.
    Furthermore BPM-Studio can be controlled over this interface from another
    application as well by simply sending HTTP commands and using as Host "localhost".
    The implemented commands are obtained by entering the following address in your
    WEB Browser while BPM-Studio and a server are active:

    http://localhost:port/cmds.html

    Port stands thereby for the HTTP Port adjusted in BPM-Studio.

    An small sample application how the access over HTTP generally works are
    available from ALCATech upon request. At present a demo for Delphi exists
    which can simply transferred to other development systems.

18. Ab immediately can buy you also special network a version of BPM-Studio. Too
    these networks version you receive only a Dongle into that the desired number
    of licenses are burned. It is thus only needed in Dongle at the server. This
    has the advantage at the Clienten no more Dongles to be needed and thus no more
    Dongle " be lost " can. Furthermore the insatallation of BPM-Studio in the
    network will be simplier and the network licenses are offered at a more
    favorable price than the single versions.

19. Ex right away BPM-Studio supports the COM Ports 1-4, this extension became
    necessary as  e.g. USB - > Serial adapters install on COM 3 and otherwise
    would not been usable. Attention USB - > Serial adapters are not to recommend
    for the connection of the remote controls as they are very slow and the reaction
    of the remote controls is  not optimal.

20. The CD Writer functionality was now implemented. With this module audio and MP3
    CD's can be created in a quite simple way. The functionality does not come near
    to an grown burner program and it shouldn't of course, in the foreground stood
    a simple handling. For the moment the following burners are supported. New burners
    are added every 3–4 months via a free driver update:

     - ACER 4232A / 4432A / 6206A / 6232A / 6432A / 8432A
     - ACTIMA 4420
     - AOpen 9420 / 9624
     - BTC 62IE
     - DELTA OME-W141
     - CREATIVE 2224 / 4224 / 4210 / 4800 / 6424 / 8432 / 8433 /8435 / 8438 / 121032
     - CYBERDRIVE CDRW602 / CRD-R800SCD
     - Discmatic AD1050
     - Freecom 8432
     - GRUNDIG CDR100 IPW
     - HEWLETT PACKARD 4020i / 6020i / 6020es / 6020ep / 7100 / 7110 / 7200 / 7500 / 7570 / 8100 / 8110 / 8200 / 8210 / M820E / 8250 / 9100 / 9200 / 9340 / 9500 / 9600 / 9700 / 9900
     - HIGHTECH CD-R2000
     - HI-VAL 2242
     - IMATION 4x4x20 / IMRR080020 / 8x8x20
     - IOMEGA ZIP CD (alle Modelle)
     - JVC XR-W2010 / XR-W2020 (2626) / XR-W2040 / XR-W2042 / XR-W2080 / XR-4080
     - KODAK PCD225 / PCD600 / Disc Transporter
     - LG/Goldstar CED-8041B / 8042B / 8043B / 8045B / 8080B / 8083B / 8120B
     - LiteOn LTR-1240 / LTR-12101B
     - MEMOREX 620 / 1622 / 2224 / 2642 / 2216 / 4224 / 4420 / 6424 / 8220 / 8432 / 6424-4 (Trimax 2000) / TwelveMAXX 1032A
     - MITSUBISHI CDD226
     - MITSUMI CR-2401 / CR-4801 / CR-4802 / CR-4804 /CD-4805
     - OLYMPUS CDS615E / CDS620E
     - PANASONIC / MATSUSHITA CW-7501 / CW-7502 / CW-7503 / CW-7582 / CW-7585 / 7586
     - PHILIPS CDD522 / CDD2000 / CDD2600 / CDD3600 / CDD 3610 / CDD 3801 (CD-RW 200) / OMNIWRITER / CDD4201 / CDD4401 / CDD4801
     - PINNACLE RCD5040 / RCD4X4
     - PIONEER DW-S114X
     - PLASMON RF4100 / CDR4220 / CDR4240 / CDR480
     - PLEXTOR PX-R24CS / PX-R412C / PX-RW4220T / PX-R820T / PX-R8220 / PX-8432 / PX-W124 / PX-W1210 / PX-1210 / PX-W1610
     - RICOH RO-1420C / MP6200 / MP6201 MP7040 / MP7060 / MP7063/ MP7080 / MP7083 / MP7120 / MP 7200/ MP8040 / MP9060 / MP9120
     - SMART & FRIENDLY 226 / 2001 / 2004 / 2006Plus / 2224 / 4000 / 4006 / 4012 / 8020
     - SAMSUNG SW-204 / SW-206 / SW-207 / SW-208 / SM-304 / SM-308 / SW-408 / SW-212
     - SANYO alle 8X und 12X
     - SONY CDU-920S / CDU-924S / CDU-948S / CRX100E / CRX110E / CRX120E CRX120E / CRX140E / CRX140S / CRX145S / CRX145E / CRX160S / CRX160E / CRW-0811
     - TDK VeloCD 8x / VeloCD 12x / VELO 16x/10x/40x
     - TEAC CD-R50S / CD-R55S / CD-R56S / CD-R58S / CD-R58E / CD-W54E / CD-W512E / CD-W512S / CD-W516E
     - THAT's WRITE 820S
     - Toshiba SD-R1002
     - TRAXDATA CDR 2224 Plus / CDRW2260 / CDRW2260 PLUS / CDRW4260 / CDR4120 / 8432
     - WAITEC WT2036 / WT2422 / WT2444 / WT3244 / WT412 / WT624 / WT824 / WT4046 / WT2082 / WT3284
     - WEARNES CDR-432 / CDR-632 / CDRW-622
     - YAMAHA CDR100 / 102 / 200 / 400 / 401 / 2216 / 2260 / 4001 / 4216 / 4260 / 4416 / 6416 / 8424 / 8824 / 2100

     Please consider to reduce first of all the speed by problems with the burner
     function, each blank cannot be written with each speed. In in any case you
     should switch off the automatic notification for all CD-ROM drives in the
     device manager, otherwise problems can arise in particular when burning
     audio-CD's.

     Should further problems emerge please consult the following pages:

     http://www.disc4you.de/kompendien/cd/index.html (German)

     http://www.brennmeister.com/articles/aspi / (German)

     http://www.ncf.carleton.ca/~aa571/aspi.htm (English)

     http://www.goldenhawk.com/firmware_body.htm (English)

     In particular you should study the pages about Firmware Upgrades and ASPI
     Driver intensively.

21. The Clipboard functions were extended, with the usual Clipboard function a
    complete group can be taken over directly from to File Archive in the Clipboard.
    In particular in connection with the Writer module this function is helpful to
    take over a complete group into the Writer window.

22. Capable real-time " Loop Sampler " in connection with remote control. Further
    explanations in the manual.

23. Now also Playlists (PLS, M3U) can be pulled directly from the Windows Explorer
    into BPM-Studio by drag & drop.

24. Is the Control held while pressing on the " Load Playlist " button, the
    Playlist is attached to the existing Playlists.

25. The loading of the Archive at program start cannot be cancelled anymore.
    Unfortunately inexperienced users have cancelled the loading procedure again
    and again and thus archives have been destroyed.

26. Die Pitch Bend Function has been overworked. From time to time it happened
    after pressing Pitch Bend +/- the pitch made itself independent and " ran away ".
    The Bend buttons can be pressed now at the same time and always the last pressed
    key has priority. In particular with a fast lightly touch of the two keys this
    works very good.

Version 3.5.0.0:
================

1. The search algorithm was optimized and functioned now also with very large
   archives within seconds.

2. The Suchfunktionn lists now no more double entries.

3. The search results are sorted now to correspond the sort attitudes.

4. Archives update function were optimized drastically and last now also with
   very large archives hardly longer than 10,,20 minutes, in former times hours
   or days were needed; -)

5. Shop of the Archiv's with the program start optimized and functioned now
   straight with large archives substantially faster (~Faktor 10).

6. Some smaller problems in connection with Faderstart were corrected.

7. In the case of change of the file info. of several list entries partly not all
   entries were changed and/or even manchaml the wrong.








